<div class="bg" [formGroup]="controlGroup">
  <mat-card>
    <mat-card-title>Login</mat-card-title>
    <mat-card-content>
      <div>
        <mat-form-field appearance="outline">
          <mat-label>Username</mat-label>
          <input matInput placeholder="Enter your username" formControlName="usernameControl">
          <mat-icon matSuffix>sentiment_very_satisfied</mat-icon>
        </mat-form-field>
      </div>
      <div>
        <mat-form-field appearance="outline">
          <mat-label>Password</mat-label>
          <input matInput placeholder="Enter your password" [type]="hide ? 'password' : 'text'"
            formControlName="passwordControl">
          <mat-icon matSuffix (click)="hide = !hide">{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
        </mat-form-field>
      </div>
      <div class="button-group">
        <button mat-button color="primary" (click)="onSubmit()">Let me in!</button>
        <button mat-button>Nah I'm good</button>
      </div>
    </mat-card-content>
  </mat-card>
</div>